Package org.gradle.api.publish.maven

## Interface MavenPomRelocation

-     @Incubating
      public interface MavenPomRelocation

  The relocation information of a Maven publication that has been moved to a new group and/or artifact ID.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomDistributionManagement`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getArtifactId​()` | The new artifact ID of the artifact.
    `Property<java.lang.String>` | `getGroupId​()` | The new group ID of the artifact.
    `Property<java.lang.String>` | `getMessage​()` | The message to show the user for this relocation.
    `Property<java.lang.String>` | `getVersion​()` | The new version of the artifact.

- - ### Method Detail

    - #### getGroupId

          Property<java.lang.String> getGroupId​()

      The new group ID of the artifact.

    - #### getArtifactId

          Property<java.lang.String> getArtifactId​()

      The new artifact ID of the artifact.

    - #### getVersion

          Property<java.lang.String> getVersion​()

      The new version of the artifact.

    - #### getMessage

          Property<java.lang.String> getMessage​()

      The message to show the user for this relocation.